Bug 1150114 (CVE-2019-16167)

Summary: VUL-1: CVE-2019-16167: sysstat: memory corruption due to an Integer Overflow in remap_struct() in sa_common.c
Product: [Novell Products] SUSE Security Incidents Reporter: Alexander Bergmann <abergmann>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P4 - Low CC: abergmann, pmonrealgonzalez, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/242073/
Whiteboard: CVSSv2:NVD:CVE-2019-16167:4.3:(AV:N/AC:M/Au:N/C:N/I:N/A:P) CVSSv3:SUSE:CVE-2019-16167:4.0:(AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Attachments: Backported patch for SLE-15
First reproducer
Second reproducer

Comment 2 Pedro Monreal Gonzalez 2019-09-10 11:29:28 UTC
Created attachment 817553 [details]
Backported patch for SLE-15

We are using the stable version in all our codestreams where the remap_struct function returns void instead of int as returned from the development version. This is the backported patch for the stable version.

Tested in polio:
  # sadf memcorrupt_sadf.in
    Segmentation fault (core dumped)
  # sadf memcorrupt_sadf2.in
    Segmentation fault (core dumped)

  # sadf memcorrupt_sadf.in
    Invalid system activity file: memcorrupt_sadf.in
  # sadf memcorrupt_sadf2.in
    Invalid system activity file: memcorrupt_sadf2.in
Comment 5 Pedro Monreal Gonzalez 2019-09-24 14:08:16 UTC
Created attachment 819340 [details]
First reproducer
Comment 6 Pedro Monreal Gonzalez 2019-09-24 14:08:47 UTC
Created attachment 819341 [details]
Second reproducer
Comment 7 Swamp Workflow Management 2019-10-23 10:13:08 UTC
SUSE-SU-2019:2749-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1150114
CVE References: CVE-2019-16167
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    sysstat-12.0.2-3.15.1
SUSE Linux Enterprise Module for Server Applications 15 (src):    sysstat-12.0.2-3.15.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    sysstat-12.0.2-3.15.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    sysstat-12.0.2-3.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2019-10-23 13:11:21 UTC
SUSE-SU-2019:2752-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1150114
CVE References: CVE-2019-16167
Sources used:
SUSE Linux Enterprise Server 12-SP4 (src):    sysstat-12.0.2-10.27.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    sysstat-12.0.2-10.27.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Marcus Meissner 2019-10-28 07:54:23 UTC
released
Comment 10 Swamp Workflow Management 2019-10-28 14:12:53 UTC
openSUSE-SU-2019:2395-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1150114
CVE References: CVE-2019-16167
Sources used:
openSUSE Leap 15.1 (src):    sysstat-12.0.2-lp151.3.9.1
Comment 11 Swamp Workflow Management 2019-10-28 17:13:41 UTC
openSUSE-SU-2019:2397-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1150114
CVE References: CVE-2019-16167
Sources used:
openSUSE Leap 15.0 (src):    sysstat-12.0.2-lp150.16.1
Comment 12 Swamp Workflow Management 2019-11-13 01:05:26 UTC
SUSE-SU-2019:2752-2: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1150114
CVE References: CVE-2019-16167
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    sysstat-12.0.2-10.27.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.